html {
    height: 100%;
}

body {
    margin: 0;
    padding: 16px;
    height: 100%;
    box-sizing: border-box;
    font-family: "Inter", sans-serif;
    font-size: 14px;
    font-weight: 400;
    color: #101010;
    line-height: 21px;
    text-align: left;
}

a {
    color: #101010;
}

.text-bottom {
    color: #636363;
}

.hidden {
    display: none !important;
}

.row {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    width: 100%;
    height: 100%;    
    min-height: 100%;
}

.column {
    display: flex;
    flex-direction: column;
    flex-basis: 100%;
    flex: 1;
    align-items: stretch;    
}

.main {
    padding: 40px;
    align-items: center;    
    padding-top: 280px;
}

    .main > div {
       text-align: left;
    }

    @media (min-width: 768px) {

        .main {            
            /*justify-content: center;*/
        }

        .main > div {            
            width: 450px;
        }
    }


.text-center {
    text-align: center;
}

.text-right {
    text-align: right;
}

.no-under {
    text-decoration: none;
}

h1 {
    font-family: Inter;
    font-size: 25px;
    font-weight: 600;
    line-height: 37.5px;
    text-align: left;
    margin-bottom: 0;
}

input[type=text], input[type=password] {    
    padding: 13px 16px;
    gap: 0px;
    border-radius: 4px;    
    background-color: #FFFFFF;
    border: 1px solid #989898;
    width: 100%;
    font-size: 14px;
    font-weight: 400;
    line-height: 21px;
    text-align: left;
    box-sizing: border-box;    
}

.button {
    /*width: Fill (449px)px;*/
    display: block;
    width: 100%;
    /*height: 45px;*/
    line-height: 21px;
    font-size: 14px;
    padding: 11px 16px;
    border-radius: 4px;
    box-sizing: border-box;
    gap: 10px;
    color: #fff;
    text-align: center;
    background: linear-gradient(180deg, #494949 0%, #313131 100%);
    text-decoration: none;
    border: 1px solid #494949;
    cursor: pointer;
}

    .button:hover {
        background: linear-gradient(#636363, #464646);
    }

    .button.secondary {
        
        background: none;
        color: #333333;
    }

/*.info {
    display: none;
}

input:focus + .info {
    display: block;
}

.info li {
    
}*/

    .info li.checked {
        color: #989898;
        text-decoration: line-through;
    }

        .info li.checked::marker {
            color: #989898;
        }

    .info li::marker {
        color: #000;
    }

.field-validation-error {
    color: #C92F45;
    background-image: url(/Content/img/field-validation-error.svg);
    background-repeat: no-repeat;
    background-position: left top;
    padding-left: 26px;
    line-height: 20px;
    margin-top: 14px;
    display: inline-block;
}

form > div, .form > div {
    position: relative;
    margin-bottom: 16px;
}

.password-toggle-icon {
    position: absolute;
    top: 26px;
    right: 10px;
    transform: translateY(-50%);
    cursor: pointer;
}

    .password-toggle-icon i {
        font-size: 18px;
        line-height: 1;
        color: #333;
        transition: color 0.3s ease-in-out;        
        background-repeat: no-repeat;
        width: 60px;
        height: 20px;
        display: inline-block;
        background-size: 20px 20px;
    }

i.fas.fa-eye {
    background-image: url(/Content/img/password-eye.svg);
}

i.fas.fa-eye::after {
    content: 'Show';
    margin-left: 25px;
    font-style: normal;
    font-size: 14px;
}

i.fas.fa-eye-slash {
    background-image: url(/Content/img/password-eye-slash.svg);
}

    i.fas.fa-eye-slash::after {
        content: 'Hide';
        margin-left: 25px;
        font-style: normal;
        font-size: 14px;
    }



.password-toggle-icon i:hover {
    color: #000;
}


.otp-fake-input {
    width: 50px;
    height: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 4px;
    border: 1px solid #989898 !important;
    box-shadow: 0px 0px 0px 4px #fff !important;
}

    .otp-fake-input .otp-content {
        font-size: 20px;
        font-weight: 600;
        color: #111;
        padding-bottom: 1px;
    }

    .otp-fake-input.otpdesigner__focus__ {
        border: 2px solid #000 !important;
        box-shadow: 0px 0px 0px 4px #0000001A !important;
    }

.realInput {
    position: absolute !important;
    z-index: -2000 !important;
    top: -1000px;
}

.dropdown-item {
    cursor: pointer;
    transition: 0.1s;
}

    .dropdown-item:hover {
        background-color: #eeeeee;
        transition: 0.1s;
    }


.fake-inputs {
    display: flex;
    justify-content: space-between;
}

.fake-inputs .otp-fake-input:nth-child(2) {
    margin-left: 0 !important;
}

.fake-inputs .otp-fake-input:nth-last-child(1) {
    margin-right: 0 !important;
}



.form, .instructions {
    display: none;
}

    .form.active, .instructions.active {
        display: block;
    }

.instructions {
    padding: 30px;
    border-radius: 10px;
    margin-top: 215px;
    background-color: #E5EEF5;
    font-size: 22px;
    font-weight: 400;
    line-height: 33px;
}

    .instructions.error {
        margin-top: 24px;
    }

    .instructions h3 {
        font-weight: 700;
    }

    .instructions ul li {
        line-height: 33px;
        margin-bottom: 20px;
    }

.button:disabled, .button:disabled:hover {
    background: #494949;
    opacity: 0.5;
    cursor: not-allowed;
}

.progress {
    display: none;
    list-style: none; /* removes the bullet points from the list */
    padding: 0;
    margin: 0 0 20px 0;
    flex-direction: row;
    align-items: stretch;
    width: 100%;
    width: 100%;
    background: linear-gradient(180deg, rgba(0,0,0,0) calc(26% - 1px), rgba(152,152,152,1) calc(26%), rgba(0,0,0,0) calc(26% + 1px) );
}

    .progress.show {
        display: flex;
    }

    .progress .step {
        display: flex;
        flex: 1;
        flex-direction: column;
        font-family: Inter;
        font-size: 13px;
        font-weight: 600;
        line-height: 16.9px;
        text-align: center;
        color: #989898;
    }

        .progress .step[data-step='1'] {
            align-items: flex-start;
        }

        .progress .step[data-step='2'] {
            align-items: center;
        }

        .progress .step[data-step='3'] {
            align-items: flex-end;
        }


        .progress .step.active {
            color: #000000;
        }

        .progress .step span {
            width: 32px;
            height: 32px;
            display: inline-block;
            margin-bottom: 10px;
        }

        .progress .step[data-step='1'] span {
            background-image: url(/Content/img/2FAStep1.svg);
            border-left: 20px solid #fff;
            border-right: 10px solid #fff;
        }

        .progress .step[data-step='2'] span {
            background-image: url(/Content/img/2FAStep2.svg);
            border-left: 10px solid #fff;
            border-right: 10px solid #fff;
        }

        .progress .step[data-step='2'].disabled span {
            background-image: url(/Content/img/2FAStep2Disabled.svg);
        }

        .progress .step[data-step='3'] span {
            background-image: url(/Content/img/2FAStep3.svg);
            border-left: 10px solid #fff;
            border-right: 5px solid #fff;
        }

        .progress .step[data-step='3'].disabled span {
            background-image: url(/Content/img/2FAStep3Disabled.svg);
        }

        .progress .step.completed span {
            background-image: url(/Content/img/2FAStepCompleted.svg);
        }

.or-divider {
    background: linear-gradient(180deg, rgba(0,0,0,0) calc(50% - 1px), rgba(214,214,214,1) calc(50%), rgba(0,0,0,0) calc(50% + 1px) );
    text-align: center;
    margin: 24px 0;
}

    .or-divider span {
        display: inline-block;
        background-color: #fff;
        padding: 0 10px;
    }

.method {
    text-align: left;
    font-size: 14px;
    line-height: 21px;
    font-weight: 400;
    padding: 20px 20px 20px 30px;
    margin-bottom: 16px;
    border: 1px solid #D6D6D6;
}

    .method:hover {
        border: 1px solid #101010;
    }

    .method span {
        text-align: left;
        font-size: 16px;
        line-height: 19.2px;
        font-weight: 600;
        display: block;
        margin-bottom: 5px;
    }


.countdown {
    font-family: Inter;
    font-size: 42px;
    font-weight: 400;
    line-height: 63px;
    text-align: center;
    color: #316293;
    margin-top: 18px;
    margin-bottom: 10px;
}

    .countdown.expired {
        color: #C92F45;
    }

.otp-target {
    
}

#ChangePhoneNumber {
    font-weight: 600;
    cursor: pointer;
}

#ReSendCode {
    display: inline-flex;
    color: #989898;
    cursor: not-allowed;
}

    #ReSendCode.active {
        color: #101010;
        cursor: pointer;
        font-weight: 500;
    }

        #ReSendCode.active span {
            display: none;
        }

    #ReSendCode i {
        display: inline-block;
        background-image: url(/Content/img/rotateDisabled.svg);
        width: 20px;
        height: 20px;
        margin-right: 5px;
    }

    #ReSendCode.active i {
        background-image: url(/Content/img/rotate.svg);
    }


.setup-code {
    display: inline-block;
    padding: 15px;
    border: 1px solid #000;
    border-radius: 20px
}